# Set environment variables
if command -v nvim >/dev/null 2>&1; then
    export EDITOR="nvim"
else
    export EDITOR="vim"
fi
# export EDITOR="ec"
export VISUAL="${EDITOR}"
export SUDO_EDITOR="${EDITOR}"
export VIRSH_DEFAULT_CONNECT_URI="qemu:///system"
export BROWSER="chromium"
export PAGER="less -R -F"
export BAT_PAGER="${PAGER}"
export MANPAGER="less -R --use-color -Dd+r -Du+b"
[ -f "/usr/share/cowsay/cows" ] && export COWPATH="/usr/share/cowsay/cows"
export CHROOT="${HOME}/arch_chroot"
export AUR_REPO="whiteman808"
export AURDEST="${HOME}/.cache/paru/clone"
export AUR_PAGER="ranger"
export GPGKEY="4A45503BBE575E3D4DAF28E27264AFFDC98D52BB"

# gpg-agent
unset SSH_AGENT_PID
if [[ "${gnupg_SSH_AUTH_SOCK_by:-0}" -ne $$ ]]; then
    export SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket 2>/dev/null)
fi
